*** Do-File Regime Flexibility 28.01.2009 ***

*Recoding of Variables - Rejected*
generate soft_law_final= soft_law
recode soft_law_final (0.5=0) (0.75=1)
tab soft_law_final
generate explicit_final=explicit
recode explicit_final (1.5=2) (2.5=3)
tab explicit_final
generate sec_final=sec_independence 
recode sec_final (2.5=3) (3.5=4) (4.5=5)
generate sec_final_2=sec_final-1
tab sec_final_2
generate uncertainty_final=uncertainty
recode uncertainty_final (1.5=2) (2.5=3) (3.5=4)
tab uncertainty_final
generate power_final=power_setting_symmetry
recode power_final (1.5=2) (2.5=3) (3.5=4)
tab power_final
generate body_final=body_flex
recode body_final (1.5=2) (2.5=3)
tab body_final, g(body)
generate decision_final=decision_flex
recode decision_final (0.5=1) (1.5=2)
tab decision_final

*** Change of Directions for Variables ***
sum soft_law
replace explicit=explicit*(-1)+4
replace sec_independence=sec_independence*(-1)+7

*** Descriptives ***
sum effectiveness soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers public publicXsize 
pwcorr soft_law_final explicit_final sec_final_2, sig
pwcorr effectiveness soft_law_final explicit_final sec_final_2 body_flex membership_flex decision_final agenda_flex uncertainty power_setting_symmetry number_causers public publicXsize, sig
pwcorr body_flex decision_flex agenda_flex membership_flex, sig

*** Models ***
reg effectiveness soft_law explicit sec_independence uncertainty power_setting_symmetry number_causers public publicXsize, cluster(cluster1)
reg effectiveness body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers public publicXsize, cluster(cluster1)
reg effectiveness soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry number_causers public publicXsize, cluster(cluster1)

*** Interaction Effects Significance ***
* Generation of New Size Variables *
generate number_causers_1=number_causers-1
generate number_causers_2=number_causers-2
generate number_causers_3=number_causers-3
generate number_causers_4=number_causers-4
generate number_causers_5=number_causers-5
generate number_causers_6=number_causers-6

* Generation of New CPR Interaction *
generate publicXnumber_1= public* number_causers_1 
generate publicXnumber_2= public* number_causers_2
generate publicXnumber_3= public* number_causers_3
generate publicXnumber_4= public* number_causers_4
generate publicXnumber_5= public* number_causers_5
generate publicXnumber_6= public* number_causers_6

* Generation of New Ext. Interaction *
generate externalXnumber_1= externalities* number_causers_1
generate externalXnumber_2= externalities* number_causers_2
generate externalXnumber_3= externalities* number_causers_3
generate externalXnumber_4= externalities* number_causers_4
generate externalXnumber_5= externalities* number_causers_5
generate externalXnumber_6= externalities* number_causers_6

* Generation of the New Reg Estimates *
reg effectiveness number_causers_1 public publicXnumber_1 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
reg effectiveness number_causers_2 public publicXnumber_2 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
reg effectiveness number_causers_3 public publicXnumber_3 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
reg effectiveness number_causers_4 public publicXnumber_4 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
reg effectiveness number_causers_5 public publicXnumber_5 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)
reg effectiveness number_causers_6 public publicXnumber_6 soft_law explicit sec_independence body_flex decision_flex agenda_flex membership_flex uncertainty power_setting_symmetry, cluster (cluster1) level(90)

* Figures 1 and 2 *
twoway (line Public_Goods number_causers, sort lcolor(black)) (line pg_upper number_causers, sort lcolor(black) lpattern(dash)) (line pg_lower number_causers, lcolor(black) lpattern(dash)), ytitle(Public Goods()) xtitle(Group Size) legend(off)



